Unary · Usage
Gets the count of active environments in the specified date range.
Endpoint
POST /api/gitpod.v1.UsageService/GetActiveEnvironmentsCount
https://app.ona.com with that domain.
Request example
export ONA_HOST=https://app.ona.com
export ONA_API_KEY=<your-token>
curl --request POST \
--url "$ONA_HOST/api/gitpod.v1.UsageService/GetActiveEnvironmentsCount" \
--header "Authorization: Bearer $ONA_API_KEY" \
--header "Content-Type: application/json" \
--data '{
"dateRange": {
"endTime": "2026-01-01T00:00:00Z",
"startTime": "2026-01-01T00:00:00Z"
}
}'
import gitpod.v1.usage_pb2 as usage_pb2
import google.protobuf.timestamp_pb2 as timestamp_pb2
from ona_sdk import create_client_from_env
ona = create_client_from_env()
request = usage_pb2.GetActiveEnvironmentsCountRequest(
date_range=usage_pb2.DateRange(
start_time=timestamp_pb2.Timestamp(seconds=1767225600),
end_time=timestamp_pb2.Timestamp(seconds=1767225600),
),
)
response = ona.services.usage.get_active_environments_count(request)
print(response)
import { create } from "@bufbuild/protobuf";
import { createClientFromEnv } from "@gitpod/sdk";
import { GetActiveEnvironmentsCountRequestSchema } from "@gitpod/sdk/gitpod/v1/usage_pb";
import { timestampFromDate } from "@bufbuild/protobuf/wkt";
async function main() {
const ona = createClientFromEnv();
const request = create(GetActiveEnvironmentsCountRequestSchema, {
dateRange: {
startTime: timestampFromDate(new Date("2026-01-01T00:00:00Z")),
endTime: timestampFromDate(new Date("2026-01-01T00:00:00Z")),
},
});
const response = await ona.services.usage.getActiveEnvironmentsCount(request);
console.log(response);
}
main().catch(console.error);
package main
import (
"context"
"fmt"
"log"
"connectrpc.com/connect"
"github.com/gitpod-io/gitpod-sdk-go/sdk"
gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
timestamppb "google.golang.org/protobuf/types/known/timestamppb"
)
func main() {
ona, err := sdk.NewFromEnv()
if err != nil {
log.Fatal(err)
}
request := connect.NewRequest(&gitpodpb.GetActiveEnvironmentsCountRequest{
DateRange: &gitpodpb.DateRange{
StartTime: ×tamppb.Timestamp{Seconds: 1767225600},
EndTime: ×tamppb.Timestamp{Seconds: 1767225600},
},
})
response, err := ona.Services.Usage.GetActiveEnvironmentsCount(context.Background(), request)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Msg)
}
{
"dateRange": {
"endTime": "2026-01-01T00:00:00Z",
"startTime": "2026-01-01T00:00:00Z"
}
}
Request
gitpod.v1.GetActiveEnvironmentsCountRequest
| Field | Type | Required | Description |
|---|---|---|---|
dateRange | DateRange | Yes | Date range to query metrics within. Constraints: required=true. |
projectId | string | No | Optional project ID to filter metrics by. |
teamId | string | No | Optional team ID to scope results to members of a specific team. |
Response
gitpod.v1.GetActiveEnvironmentsCountResponse
| Field | Type | Required | Description |
|---|---|---|---|
count | 64-bit integer string | No | Count of active environments in the date range. |
trend | number | No | Fractional change in active environments vs previous period. Computed as (current - previous) / previous. |
Related types
DateRange
DateRange
DateRange specifies a time period for queries.
gitpod.v1.DateRange| Field | Type | Required | Description |
|---|---|---|---|
startTime | RFC 3339 timestamp | Yes | Start time of the date range (inclusive). Constraints: required=true. |
endTime | RFC 3339 timestamp | Yes | End time of the date range (exclusive). Constraints: required=true. |